Represents a HTTP request message. This class is a 'partial' request and only defines the path on the server to send a request to. It is each client's responsibility to build the full URL for the final request.

final

### Hierarchy

- Request

## Index

### Constructors

- constructor

### Methods

- toString

## Constructors

### constructor

- new Request(method: string, path: string, opt_data?: <internal>.Object): Request

- #### Parameters

  - ##### method: string

    The HTTP method to use for the request.

  - ##### path: string

    The path on the server to send the request to.

  - ##### Optional opt_data: <internal>.Object

    This request's non-serialized JSON payload data.

  #### Returns Request

## Methods

### toString

- toString(): string

- override

  #### Returns string

Generated using TypeDoc